Can Raspberry Pi 4 handle Picscope 2204A?

Post any questions you may have about our current range of oscilloscopes
Post Reply
BorisBarrows
Newbie
Posts: 0
Joined: Thu Nov 23, 2023 3:52 pm
Location: https://gettingoverit.io

Can Raspberry Pi 4 handle Picscope 2204A?

Post by BorisBarrows »

I recently purchased the Picoscope 2204A and I'm curious about the computer requirements needed to use it without any performance limitations. Can the Raspberry Pi 4 handle the Picoscope 2204A effectively, enabling all features to function as intended?

Gerry
PICO STAFF
PICO STAFF
Posts: 1144
Joined: Mon Aug 11, 2014 11:14 am

Re: Can Raspberry Pi 4 handle Picscope 2204A?

Post by Gerry »

Hi Boris,

UPDATED 30/11/23

We currently don't have PicoScope 7 running on Raspberry Pi / Arm platforms.
However, we do have PicoLog 6 and applications built with our Software Development Kit (SDK) running on armhf and Arm64 (with 32-bit Raspbian) Platforms.

The answer to your question is that, as the Raspberry Pi 4 is a relatively low cost, low power device,there will be some limitations in its general capabilities, and its capabilities when combined with a low cost PicoScope such as our Entry-Level Scopes. In order to get the 2 devices to work together in the first place (at the time of writing) you need to use the 32-bit variant of Raspbian, but you need to stick with version 5.10 and, when using the current software versions or SDK and not upgrade beyond that.
For any PicoScope, there will be all of the usual limitations of running relatively high performance applications, using the SDK, on a Pi 4 vs a standard Platform, such as a reasonably equipped laptop/desktop machine. So, for instance, expect complex plotting to be very slow.

Regards,

Gerry
Gerry
Technical Specialist

Post Reply